Bug 1773924 - Review Request: xdp-tools - Utilities and example programs for use with XDP
Summary: Review Request: xdp-tools - Utilities and example programs for use with XDP
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cestmir Kalina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1781646
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-19 10:47 UTC by Toke Høiland-Jørgensen
Modified: 2020-01-14 16:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 16:57:12 UTC
ckalina: fedora-review+


Attachments (Terms of Use)

Description Toke Høiland-Jørgensen 2019-11-19 10:47:29 UTC
Spec URL: https://github.com/xdp-project/xdp-tools/blob/master/packaging/rpm/xdp-tools.spec
SRPM URL: https://github.com/xdp-project/xdp-tools/releases/download/v0.0.1/xdp-tools-0.0.1-1.fc31.src.rpm
Description: Utilities and example programs for use with XDP
Fedora Account System Username: tohojo

Comment 2 Toke Høiland-Jørgensen 2019-11-26 12:47:15 UTC
Just a note to add that the package disables the debug package because the find-debuginfo script produces an empty debugsourcefiles.list

Also added LICENSE to the package %files; updated at same URL as above.

Comment 3 Cestmir Kalina 2020-01-09 22:01:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xdp-tools-0.0.2-1.fc32.x86_64.rpm
          xdp-tools-devel-0.0.2-1.fc32.x86_64.rpm
          xdp-tools-0.0.2-1.fc32.src.rpm
xdp-tools.x86_64: W: unstripped-binary-or-object /usr/sbin/xdp-filter
xdp-tools-devel.x86_64: W: no-documentation
xdp-tools.src:43: W: configure-without-libdir-spec
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
xdp-tools-devel.x86_64: W: no-documentation
xdp-tools.x86_64: W: unstripped-binary-or-object /usr/sbin/xdp-filter
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Source checksums
----------------
https://github.com/xdp-project/xdp-tools/releases/download/v0.0.2/xdp-tools-0.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : cc5d4ce51fc22b8671140ed04c2ea662d4bd75fcb3ca6de773c86ef0d1661f41
  CHECKSUM(SHA256) upstream package : cc5d4ce51fc22b8671140ed04c2ea662d4bd75fcb3ca6de773c86ef0d1661f41

Requires
--------
xdp-tools (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libelf.so.1()(64bit)
    libelf.so.1(ELFUTILS_1.0)(64bit)
    rtld(GNU_HASH)

xdp-tools-devel (rpmlib, GLIBC filtered):
    kernel-headers
    xdp-tools

Provides
--------
xdp-tools:
    xdp-tools
    xdp-tools(x86-64)

xdp-tools-devel:
    xdp-tools-devel
    xdp-tools-devel(x86-64)

===

All outstanding points that came up during review were fixed.

Comment 4 Gwyn Ciesla 2020-01-14 16:15:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xdp-tools


Note You need to log in before you can comment on or make changes to this bug.